.data?

    MyNet       dd ?

.data

align 4
    TestNetwork         dd 6
                        dd _CONST
                        dd _CONST
                        dd _CONST
                        dd _POT
                        dd _OSC_SAW
                        dd _OSC_SAW
                     REAL8 1.0000       ;const1
                     REAL8 55.7000      ;const2
                     REAL8 440.751      ;const3
                     REAL8 0.50         ;pot1.smp
                     REAL8 -0.50        ;pot1.min
                     REAL8 0.50         ;pot1.max
                     REAL8 0.05         ;pot1.setpsize

                    ;osc1
                        db 0        ;rst
                        dw 1        ;const1
                        db 0        ;smp

                        db 1        ;amp
                        dw 1        ;const1
                        db 0        ;smp

                        db 2        ;fre
                        dw 2        ;const2
                        db 0        ;smp

                        dd NULL     ;end

                    ;osc2
                        db 1        ;amp
                        dw 1        ;const1
                        db 0        ;smp

                        db 2        ;fre
                        dw 3        ;const3
                        db 0        ;smp

                        dd NULL     ;end

                    ;out
                        dd NULL

; 

.code

; 

; create NET_CLASS instance

; 

EngageAll               PROC USES esi

                        invoke GlobalAlloc,GPTR,sizeof NET_CLASS
                        mov     MyNet,eax
                        push    eax
                        invoke SPAWN_NET_CLASS          ; eax holds object pointer
                        pop     esi
                        ASSUME esi:PTR NET_CLASS

                        invoke NET_Build,addr TestNetwork

                        invoke NET_STA

                        ret
                        ASSUME esi:NOTHING
EngageAll               ENDP
; 

; destroy NET_CLASS instance

; 
ShutDownAll             PROC USES esi

                        mov     esi,MyNet
                        ASSUME esi:PTR NET_CLASS
                        call [esi].Destructor
                        ASSUME esi:NOTHING

                        ret
ShutDownAll             ENDP