    include common.inc
    include mdl.inc
    include input.inc
    include aml.inc
    include osc.inc

  SPAWN_NET_CLASS   PROTO

; 
;
; CLASS: Network - Administration and managment of modules,
;                  building and running a network of modules
;
; METHODS: NewMdl, FreeMdl, GetMdlByAdr, GetMdlByType, Run
;

  NET_CONSTRUCTOR   PROTO
  NET_DESTRUCTOR    PROTO

  NET_STA           PROTO
  NET_RUN           PROTO

  NET_NewMdl        PROTO :DWORD
  NET_FreeMdl       PROTO :DWORD
  NET_GetMdlByAdr   PROTO :DWORD
  NET_GetMdlByType  PROTO :DWORD,:DWORD
  NET_BuildFromBin  PROTO :DWORD
  NET_ExportBin     PROTO :DWORD
  NET_Build         PROTO :DWORD
  NET_Export        PROTO :DWORD
;
; 

ifndef _NET_

    _NET_   EQU 0100h


; 
;
; Error and other message codes
;
; -------------------------------------------------------------------------

  NET_EC_OK                     EQU COMMON_EC_OK
  NET_EC_FAIL                   EQU COMMON_EC_FAIL
  NET_EC_ILLEGAL_OPERATION      EQU COMMON_EC_ILL_OP
  NET_EC_ALLOC_ERROR            EQU COMMON_EC_ALLOC_ERROR
  NET_EC_DEALLOC_ERROR          EQU COMMON_EC_DEALLOC_ERROR

; 
; 


comment ^
; -------------------------------------------------------------------------
NET_CLASS   STRUCT

                         MDL_CLASS <>       ; base class
; Properties
            ModuleList          dd ?        ; pointer to admin list
                                            ; struct of admin list
                                            ;   0000  DWORD - count of enrties
                                            ;   0004- array of STRUCT NET_mLIST_ELEM
            ModuleSpaceStart    dd ?        ; starting address of module space
            ModuleSpaceCurr     dd ?        ; current pointer

            DumyOutput          dd ?        ; output for module inputs not connected (default value)

NET_CLASS   ENDS
^
endif