

    SPAWN_OSC1_CLASS        PROTO
    SPAWN_OSC2_CLASS        PROTO


; 
;
; CLASS: OSC1 - Base oscillator class
;
; METHODS: 
;
;    OSC1_CONSTRUCTOR       PROTO
;    OSC1_DESTRUCTOR        PROTO
;    OSC1_RESET             PROTO
     OSC_CONNECT            PROTO :DWORD,:DWORD
;
; PROPERTIES: smp
;
; 

ifndef _OSC_

    _OSC_   EQU 14h
    _OSC2_  EQU 15h

    _OSC_IMP    EQU 1401h
    _OSC_SAW    EQU 1402h
    _OSC_RND    EQU 1403h
    _OSC_SIN    EQU 1404h
    _OSC_PLS    EQU 1501h
    _OSC_PSAW   EQU 1502h
    _OSC_TRI    EQU 1503h
; 
;
; Error and other message codes
;
; -------------------------------------------------------------------------

; 

OSC1_CLASS      STRUCT

                            MDL_CLASS <>    ; inheritance
; Methods

; Properties
                rst     GATE <>
                amp     GATE <>
                fre     GATE <>

OSC1_CLASS      ENDS

; 

OSC2_CLASS      STRUCT

                            MDL_CLASS <>    ; inheritance
; Methods

; Properties
                rst     GATE <>
                amp     GATE <>
                fre     GATE <>
                psw     GATE <>

OSC2_CLASS      ENDS

; 

endif