    .586                       ; create 32 bit code
    .model flat, stdcall       ; 32 bit memory model
    option casemap :none       ; case sensitive

    include common.inc

    include \masm32\include\kernel32.inc
    include \masm32\include\windows.inc
    include \masm32\include\masm32.inc
    include \masm32\include\debug.inc
    include \masm32\include\fpu.inc



.data
align 4

        POWEROF10TABLE  REAL8 1.0,10.0,100.0,1000.0,10000.0,100000.0,1000000.0
                        REAL8 10000000.0,100000000.0,1000000000.0,10000000000.0
                        REAL8 100000000000.0,1000000000000.0,10000000000000.0
        Dest            db 40 dup (0)
        REAL8_ZERO      REAL8 0.0

.code

; 
;
; DW2STR
;
; DWORD TO STRING without terminating 0
; OUT:  eax - length
;
; 
DW2STR          PROC USES ebx ecx edx esi value:DWORD,lpSTR:DWORD,base:DWORD,len:DWORD
align 4
                mov     eax,value
                mov     ebx,base
                mov     esi,lpSTR
                mov     ecx,len
@_1:
                xor     edx,edx
                div     ebx
                cmp     dl,0Ah
                jc  @_11
                add     dl,'A'-'0'-0Ah
@_11:
                add     dl,'0'
                mov     [esi+ecx-1],dl
                sub     ecx,1
                jz  @_2
                or      eax,eax
                jnz  @_1
@_2:
                mov     eax,len
                sub     eax,ecx
                ret
DW2STR          ENDP
; 
;
; DW2STR
;
; REAL4 TO STRING without terminating 0
;
; 
R82STR          PROC USES ebx esi lpReal:DWORD,lpSTR:DWORD,len:DWORD
align 4
LOCAL temp:DWORD
LOCAL fpucw1:WORD
LOCAL fpucw2:WORD

                fstcw fpucw1
                mov     ax,fpucw1
                or      ax,3*1024                       ; set 10th and 11th bit
                mov     fpucw2,ax
                fldcw   fpucw2

                mov     eax,lpReal
                mov     ebx,len
                mov     esi,lpSTR



                fld REAL8 PTR [eax]
; pushad
; invoke FpuFLtoA, 0, 12, ADDR Dest, SRC1_FPU or SRC2_DIMM
; PrintString Dest
; popad
                mov     eax,[eax+4]
                or      eax,eax                         ; negative?
                jns  @_1
                mov     [esi],BYTE PTR '-'
                add     esi,1
                sub     ebx,1
@_1:
                fabs
                fist temp
                fldcw   fpucw1
                fisub temp

                invoke DW2STR,temp,esi,10,ebx           ; eax - length of int part
                sub     ebx,eax                         ; ebx - length of fraction part
                jz  @_2

                invoke DW2STR,temp,esi,10,eax           ; put int part into right place
                mov     [esi+eax],BYTE PTR '.'
                sub     ebx,1                           ; fraction part contains '.'
                add     esi,eax
                push    ebx
@_11:
                mov     BYTE PTR [esi+ebx],'0'
                sub     ebx,1
                jnz @_11
                pop     ebx

                fmul REAL8 PTR [POWEROF10TABLE+ebx*8]
                fistp temp
                add     esi,1

                invoke DW2STR,temp,esi,10,ebx
@_2:

                ret
R82STR          ENDP

end