; 

ifndef _COMMON_

    _COMMON_ EQU -1

    DW2STR      PROTO :DWORD,:DWORD,:DWORD,:DWORD
    R82STR      PROTO :DWORD,:DWORD,:DWORD

    EXTERNDEF REAL8_ZERO:REAL8

; 
; 
;
; Error and other message codes
;
; IMPORTANT:    The code of OK message must be allways 0000h!
;               The code of FAIL message must be allways 0FFFh!
;
; -------------------------------------------------------------------------

  COMMON_EC_OK                  EQU 00000h
  COMMON_EC_FAIL                EQU 0FFFFh
  COMMON_EC_ILL_OP              EQU 0FFFEh
  COMMON_EC_ALLOC_ERROR         EQU 08000h
  COMMON_EC_DEALLOC_ERROR       EQU 08001h

; 
; 

MOVR8       MACRO dst:REQ,src:REQ

            mov     eax,DWORD PTR [src]
            mov     DWORD PTR [dst],eax
            mov     eax,DWORD PTR [src+4]
            mov     DWORD PTR [dst+4],eax

            ENDM
; 

; 
;
; Structure for administration of modules
;
; 
NET_mLIST_ELEM      STRUCT
                    mType   dd ?        ; module type
                    mSize   dd ?        ; size of module
                    mAddr   dd ?        ; start address of allocated space
                    mDumy   dd ?        ; for align, not used
NET_mLIST_ELEM      ENDS
; 

endif