
    SPAWN_INPUT_CLASS       PROTO
    SPAWN_POT_CLASS         PROTO


; 
;
; CLASS: INPUT - Input class
;
; METHODS: 
;
;  - Nothing new
;
; 
;
; CLASS: POT - Potmeter class
;
; METHODS: 
;
    POT_CONSTRUCTOR         PROTO
    POT_DESTRUCTOR          PROTO

    POT_RESET               PROTO :DWORD

    POT_SET_min             PROTO :DWORD
    POT_GET_min             PROTO :DWORD
    POT_SET_max             PROTO :DWORD
    POT_GET_max             PROTO :DWORD
    POT_SET_stepsize        PROTO :DWORD
    POT_GET_stepsize        PROTO :DWORD
;
; PROPERTIES: smp
;
; 

ifndef _INPUT_

    _INPUT_ EQU 11h

    _CONST  EQU 1101h
    _POT    EQU 1102h

; 
;
; Error and other message codes
;
; -------------------------------------------------------------------------

  INPUT_EC_OK                   EQU COMMON_EC_OK
  INPUT_EC_FAIL                 EQU COMMON_EC_FAIL
  INPUT_EC_ILLEGAL_OPERATION    EQU COMMON_EC_ILL_OP
  INPUT_EC_ALLOC_ERROR          EQU COMMON_EC_ALLOC_ERROR
  INPUT_EC_DEALLOC_ERROR        EQU COMMON_EC_DEALLOC_ERROR

; 
; 

INPUT_CLASS     STRUCT

                            MDL_CLASS <>    ; inheritance
; Properties

INPUT_CLASS     ENDS

; 

POT_CLASS     STRUCT

                            INPUT_CLASS <>   ; inheritance
; Properties
                min         Real8 ?
                max         Real8 ?
                stepsize    Real8 ?

POT_CLASS     ENDS

; 

endif