
    CreateLogBox    PROTO :DWORD
    LogBoxProc      PROTO :DWORD,:DWORD,:DWORD,:DWORD
    AddToLog        PROTO :DWORD

    IDD_LOGBOX      EQU  101
    IDI_LOG         EQU  101
    IDC_LOGBOXEDIT  EQU 1000


.data?
    hLogBox         dd ?
    hLogBoxEdit     dd ?

.data
    LogBoxTitle     db 'Log...',0
    Log_M_CRLF      db 0Dh,0Ah,0


; 


.code
; 
;
; Determine the controls' handles
;
; 
LogBoxEnum      PROC hWnd:DWORD,lParam:DWORD

                mov     eax,hWnd
                mov     hLogBoxEdit,eax

                ret
LogBoxEnum      ENDP
; 
;
; Log Box - modeless dialog
;
; 
CreateLogBox    Proc USES esi hWnd:DWORD

                invoke CreateDialogParam,hInstance, \
                        DWORD PTR IDD_LOGBOX, \
                        hWnd,addr LogBoxProc,NULL

                ret
CreateLogBox    ENDP

; 
;
; Log Box Procedure
;
; 
LogBoxProc      Proc hWnd:DWORD,uMsg:DWORD,wParam:DWORD,lParam:DWORD
                .IF uMsg == WM_INITDIALOG
                    mov     eax,hWnd
                    mov     hLogBox,eax
                    invoke SendMessage,hWnd,WM_SETICON,1,FUNC(LoadIcon,NULL,IDI_EXCLAMATION)
                    invoke EnumChildWindows,hLogBox,addr LogBoxEnum,0
                .ELSEIF uMsg == WM_KEYDOWN
                    .IF wParam == VK_ESCAPE
                        jmp @_LB_CLOSE
                    .ENDIF
                .ELSEIF uMsg == WM_CLOSE
@_LB_CLOSE:
                    invoke DestroyWindow,hLogBox
                .ENDIF
                xor     eax,eax

                ret
LogBoxProc      ENDP
; 
;
; Adds a line to the log
;
; 
AddToLog        Proc USES eax ecx lpText:DWORD

                mov     eax,hLogBoxEdit
                or      eax,eax
                jz  @_1
                invoke SendMessage,hLogBoxEdit,EM_SETSEL,-1,-1
                invoke SendMessage,hLogBoxEdit,EM_REPLACESEL,FALSE,lpText
                invoke SendMessage,hLogBoxEdit,EM_SCROLLCARET,NULL,NULL
@_1:
                ret
AddToLog        ENDP