; 

    .586                       ; create 32 bit code
    .model flat, stdcall       ; 32 bit memory model
    option casemap :none       ; case sensitive
 
    include \masm32\include\windows.inc
    include \masm32\include\masm32.inc
    ;include \masm32\include\gdi32.inc
    include \masm32\include\user32.inc
    include \masm32\include\kernel32.inc
    ;include \masm32\include\Comctl32.inc
    ;include \masm32\include\comdlg32.inc
    ;include \masm32\include\shell32.inc
    ;include \masm32\include\oleaut32.inc
    include \masm32\macros\macros.asm
    ;include \masm32\include\dialogs.inc

    ;include ..\timers.asm
    include \masm32\include\debug.inc
    ;include \masm32\include\fpu.inc

    include network.inc

; include libraries

    includelib \masm32\lib\masm32.lib
    ;includelib \masm32\lib\gdi32.lib
    includelib \masm32\lib\user32.lib
    includelib \masm32\lib\kernel32.lib
    ;includelib \masm32\lib\Comctl32.lib
    ;includelib \masm32\lib\comdlg32.lib
    ;includelib \masm32\lib\shell32.lib
    ;includelib \masm32\lib\oleaut32.lib

    includelib \masm32\lib\debug.lib
    ;includelib \masm32\lib\fpu.lib

    include resource.inc
    include main.asm

; 

    WinMain     PROTO STDCALL :DWORD,:DWORD,:DWORD,:DWORD
    MainWndProc PROTO STDCALL :DWORD,:DWORD,:DWORD,:DWORD

; 

 .data?
 align 4
    hInstance       dd ?

 .data
 align 1
 
    MainWndClassName    db 'SGNMainWnd',0
    AppName             db 'SOUND GENERATOR NETWORK v2.0',0
    Credits             db 0Dh,0Ah,'created by Nmeth Gbor 2005',0Dh,0Ah,0Dh,0Ah,0

; 

 .code
align 4

; 

Start:
 
; 

            invoke GetModuleHandle,NULL
            mov     hInstance,eax

            finit

; Create Main Window

            invoke WinMain,hInstance,NULL,NULL,SW_SHOWNORMAL

@_END:
            invoke ExitProcess,eax
; 

; 
;
; Creates the main app window
;
; 
WinMain         PROC hInst:HINSTANCE,hPrevInst:HINSTANCE,CmdLine:LPSTR,CmdShow:DWORD
align 4
LOCAL wc:WNDCLASSEX
LOCAL hMainWnd:DWORD
LOCAL MainWndMsg:MSG
                    mov     wc.cbSize,sizeof WNDCLASSEX
                    mov     wc.style,NULL                           ; window class style
                    mov     wc.lpfnWndProc,OFFSET MainWndProc       ; WindowProc
                    mov     wc.cbClsExtra,NULL                      ; Extra bytes after registered class
                    mov     wc.cbWndExtra,NULL                      ; Extra bytes after window instance
                    push    hInstance
                    pop     wc.hInstance                            ; creating instance
                    invoke LoadIcon,hInstance,100                   ; window's icon
                    mov     wc.hIcon,eax
                    invoke LoadIcon,hInstance,101
                    mov     wc.hIconSm,eax                          ; window's small icon
                    invoke LoadCursor,NULL,IDC_ARROW                ; window's cursor
                    mov     wc.hCursor,eax
                    mov     wc.hbrBackground,COLOR_WINDOW           ; window's background
                invoke LoadMenu,hInstance,DWORD PTR IDM_MAINMENU

                    mov     wc.lpszMenuName,NULL                    ; window's default menu
                    mov     wc.lpszClassName,offset MainWndClassName; window class's name
                    invoke RegisterClassEx,addr wc
                    invoke CreateWindowEx,NULL,addr MainWndClassName,addr AppName, \
                            WS_OVERLAPPEDWINDOW, \
                            CW_USEDEFAULT,CW_USEDEFAULT,640,480, \
                            NULL,NULL,hInst,NULL
                    or      eax,eax
                    jz  @_WinMainEND

                    mov     hMainWnd,eax

                    invoke ShowWindow,hMainWnd,CmdShow
                    invoke UpdateWindow,hMainWnd

                    invoke EngageAll
                    invoke ShutDownAll
@_DO_FOREVER:
align 4
                    invoke GetMessage,addr MainWndMsg,NULL,0,0
                    or      eax,eax
                    jz  @_WinMainEND
                    invoke TranslateMessage,addr MainWndMsg
                    invoke DispatchMessage,addr MainWndMsg
                    jmp @_DO_FOREVER
@_WinMainEND:
                    mov     eax,MainWndMsg.wParam
                    ret

WinMain             ENDP


; -------------------------------------------------------------------------
;
; Windows and dialog boxes
;
    include logbox.asm


; 
;
; Main window procedure
;
; 
MainWndProc         PROC hWnd:DWORD,uInt:DWORD,wParam:DWORD,lParam:DWORD
align 4
                    mov     eax,uInt
                    .IF eax == WM_CREATE
; create logging dialog
                        invoke CreateLogBox,hWnd
                        invoke ShowWindow,hLogBox,SW_SHOWNORMAL
                        invoke SetFocus,hLogBox

                        invoke AddToLog,addr AppName
                        invoke AddToLog,addr Credits

                    .ELSEIF eax == WM_KEYDOWN
                        .IF wParam == VK_ESCAPE
                            jmp @_MW_QUIT
                        .ENDIF

                    .ELSEIF eax == WM_DESTROY

                        ;invoke ShutDownAll
@_MW_QUIT:
                        invoke PostQuitMessage,NULL
                    .ELSE
                        invoke DefWindowProc,hWnd,uInt,wParam,lParam
                    .ENDIF

                    ret
MainWndProc         ENDP
; 
end Start
